sentinels {gap} | R Documentation

## Sentinel identification from GWAS summary statistics

### Description

This function accepts an object containing GWAS summary statistics for signal identification as defined by flanking regions.

### Usage

    sentinels(p,st,debug=FALSE,flanking=1e+6)

### Arguments

`p` | an object containing GWAS summary statistics
`st` | row number as in p
`debug` | a flag to show the actual data
`flanking` | the width of flanking region

### Details

Typically, input to the function are variants reaching certain level of significance and the functtion identifies minimum p value at the flanking interval; in the case of another variant in the flanking window has smaller p value then it will be replaced.

### Value

The function give screen output.

### Examples

    ## Not run:
    # prot is the phenotype
    # tag features data specifics, e.g., HLA
    prot <- Sys.getenv("prot")
    tag <- Sys.getenv("tag")
    p <- read.delim(paste0("work/",prot,tag,".p"),as.is=TRUE)
    chrs <- with(p,unique(Chrom))
    for(chr in chrs)
    {
      ps <- subset(p,Chrom==chr)
      row.names(ps) <- 1:nrow(ps)
      pp(ps, 1)
    }

    ## End(Not run)

[Package gap version 1.2.1 Index]